Modify

Opened 9 years ago

Closed 9 years ago

Last modified 4 years ago

#4273 closed defect (fixed)

WARNING: at kernel/softirq.c:136 local_bh_enable

Reported by: acoul <alex at ozo.com> Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: kernel Version:
Keywords: Cc:

Description

I am getting the following warning on an alix board with two atheros cm9 wifi cards installed.

Linux version 2.6.27.7 (alex@aifnis) (gcc version 4.2.2) #1 Thu Nov 27 17:10:10 EET 2008
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 0000000008000000 (usable)
 BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
DMI not present or invalid.
last_pfn = 0x8000 max_arch_pfn = 0x100000
kernel direct mapping tables up to 8000000 @ 7000-c000
128MB LOWMEM available.
  mapped low ram: 0 - 08000000
  low ram: 00000000 - 08000000
  bootmap 00001000 - 00002000
(6 early reservations) ==> bootmem [0000000000 - 0008000000]
  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
  #1 [0000100000 - 000030c184]    TEXT DATA BSS ==> [0000100000 - 000030c184]
  #2 [000030d000 - 000030f000]    INIT_PG_TABLE ==> [000030d000 - 000030f000]
  #3 [000009f000 - 0000100000]    BIOS reserved ==> [000009f000 - 0000100000]
  #4 [0000007000 - 0000008000]          PGTABLE ==> [0000007000 - 0000008000]
  #5 [0000001000 - 0000002000]          BOOTMAP ==> [0000001000 - 0000002000]
Zone PFN ranges:
  DMA      0x00000000 -> 0x00001000
  Normal   0x00001000 -> 0x00008000
Movable zone start PFN for each node
early_node_map[2] active PFN ranges
    0: 0x00000000 -> 0x000000a0
    0: 0x00000100 -> 0x00008000
On node 0 totalpages: 32672
free_area_init_node: node 0, pgdat c02c8498, node_mem_map c1000000
  DMA zone: 3968 pages, LIFO batch:0
  Normal zone: 28448 pages, LIFO batch:7
Allocating PCI resources starting at 10000000 (gap: 8000000:f7f00000)
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 32416
Kernel command line: block2mtd.block2mtd=/dev/hda2,131072,rootfs root=/dev/mtdblock0 rootfstype=jffs2 init=/etc/preinit  noinitrd console=tty0 console=ttyS0,38400n8 reboot=bios
Initializing CPU#0
PID hash table entries: 512 (order: 9, 2048 bytes)
TSC: Using PIT calibration value
Detected 431.635 MHz processor.
Console: colour dummy device 80x25
console [tty0] enabled
console [ttyS0] enabled
Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
Memory: 127288k/131072k available (1307k kernel code, 3248k reserved, 541k data, 132k init, 0k highmem)
virtual kernel memory layout:
    fixmap  : 0xffffa000 - 0xfffff000   (  20 kB)
    vmalloc : 0xc8800000 - 0xffff8000   ( 887 MB)
    lowmem  : 0xc0000000 - 0xc8000000   ( 128 MB)
      .init : 0xc02d2000 - 0xc02f3000   ( 132 kB)
      .data : 0xc0246ff3 - 0xc02ce7ac   ( 541 kB)
      .text : 0xc0100000 - 0xc0246ff3   (1307 kB)
Checking if this processor honours the WP bit even in supervisor mode...Ok.
CPA: page pool initialized 1 of 1 pages preallocated
SLUB: Genslabs=12, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
Calibrating delay loop (skipped), value calculated using timer frequency.. 863.27 BogoMIPS (lpj=4316350)
Mount-cache hash table entries: 512
CPU: L1 I Cache: 64K (32 bytes/line), D cache 64K (32 bytes/line)
CPU: L2 Cache: 128K (32 bytes/line)
CPU: AMD Geode(TM) Integrated Processor by AMD PCS stepping 02
Checking 'hlt' instruction... OK.
Checking for popad bug... OK.
Freeing SMP alternatives: 0k freed
net_namespace: 592 bytes
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfcd03, last bus=0
PCI: Using configuration type 1 for base access
Linux Plug and Play Support v0.97 (c) Adam Belay
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
PCI: 0000:00:01.0 reg 10 io port: [ac1c, ac1f]
PCI: 0000:00:01.2 reg 10 32bit mmio: [efff4000, efff7fff]
PCI: 0000:00:09.0 reg 10 io port: [1000, 10ff]
PCI: 0000:00:09.0 reg 14 32bit mmio: [e0000000, e00000ff]
pci 0000:00:09.0: supports D1
pci 0000:00:09.0: supports D2
pci 0000:00:09.0: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:00:09.0: PME# disabled
PCI: 0000:00:0b.0 reg 10 io port: [1400, 14ff]
PCI: 0000:00:0b.0 reg 14 32bit mmio: [e0040000, e00400ff]
pci 0000:00:0b.0: supports D1
pci 0000:00:0b.0: supports D2
pci 0000:00:0b.0: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:00:0b.0: PME# disabled
PCI: 0000:00:0c.0 reg 10 32bit mmio: [e0080000, e008ffff]
PCI: 0000:00:0e.0 reg 10 32bit mmio: [e00c0000, e00cffff]
PCI: 0000:00:0f.0 reg 10 io port: [6000, 6007]
PCI: 0000:00:0f.0 reg 14 io port: [6100, 61ff]
PCI: 0000:00:0f.0 reg 18 io port: [6200, 623f]
PCI: 0000:00:0f.0 reg 20 io port: [9d00, 9d7f]
PCI: 0000:00:0f.0 reg 24 io port: [9c00, 9c3f]
PCI: 0000:00:0f.2 reg 20 io port: [ff00, ff0f]
PCI: 0000:00:0f.4 reg 10 32bit mmio: [efffe000, efffefff]
pci 0000:00:0f.4: PME# supported from D0 D3hot D3cold
pci 0000:00:0f.4: PME# disabled
PCI: 0000:00:0f.5 reg 10 32bit mmio: [efffd000, efffdfff]
pci 0000:00:0f.5: PME# supported from D0 D3hot D3cold
pci 0000:00:0f.5: PME# disabled
bus: 00 index 0 io port: [0, ffff]
bus: 00 index 1 mmio: [0, ffffffff]
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 4096 (order: 3, 32768 bytes)
TCP bind hash table entries: 4096 (order: 2, 16384 bytes)
TCP: Hash tables configured (established 4096 bind 4096)
TCP reno registered
NET: Registered protocol family 1
platform rtc_cmos: registered platform RTC device (no PNP device found)
IA-32 Microcode Update Driver: v1.14a <tigran@aivazian.fsnet.co.uk>
microcode: CPU0 not a capable Intel processor
scx200: NatSemi SCx200 Driver
squashfs: version 3.0 (2006/03/15) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2. (NAND) (SUMMARY)  Β© 2001-2006 Red Hat, Inc.
msgmni has been set to 248
io scheduler noop registered
io scheduler deadline registered (default)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
AMD Geode RNG detected
Serial: 8250/16550 driver2 ports, IRQ sharing disabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
via-rhine.c:v1.10-LK1.4.3 2007-03-06 Written by Donald Becker
via-rhine 0000:00:09.0: setting latency timer to 64
eth0: VIA Rhine III (Management Adapter) at 0xe0000000, 00:0d:b9:15:d3:40, IRQ 10.
eth0: MII PHY found at address 1, status 0x786d advertising 05e1 Link 45e1.
via-rhine 0000:00:0b.0: setting latency timer to 64
eth1: VIA Rhine III (Management Adapter) at 0xe0040000, 00:0d:b9:15:d3:41, IRQ 12.
eth1: MII PHY found at address 1, status 0x786d advertising 05e1 Link 45e1.
Uniform Multi-Platform E-IDE driver
ide_generic: please use "probe_mask=0x3f" module parameter for probing all legacy ISA IDE ports
Probing IDE interface ide0...
Clocksource tsc unstable (delta = 90012361 ns)
hda: CF CARD 1GB, ATA DISK drive
Probing IDE interface ide1...
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 128KiB
hda: 1981728 sectors (1014 MB) w/1KiB Cache, CHS=1966/16/63
 hda: hda1 hda2
Creating 1 MTD partitions on "rootfs":
0x00000000-0x03020000 : "rootfs"
split_squashfs: no squashfs found in "rootfs"
block2mtd: mtd0: [rootfs] erase_size = 128KiB [131072]
PNP: No PS/2 controller found. Probing ports directly.
i8042.c: No controller found.
mice: PS/2 mouse device common for all mice
TCP vegas registered
NET: Registered protocol family 17
Using IPI Shortcut mode
VFS: Mounted root (jffs2 filesystem) readonly.
Freeing unused kernel memory: 132k freed
Please be patient, while OpenWrt loads ...
eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
wlan: trunk
ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 2008-10-02 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425, REGOPS_FUNC, DFS, XR)
ath_rate_minstrel: Minstrel automatic rate control algorithm 1.2 (trunk)
ath_rate_minstrel: look around rate set to 10%
ath_rate_minstrel: EWMA rolloff level set to 75%
ath_rate_minstrel: max segment size in the mrr set to 6000 us
ath_pci: trunk
Atheros HAL provided by OpenWrt, DD-WRT and MakSat Technologies
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps

wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
ath_pci: wifi0: Atheros 5212: mem=0xe0080000, irq=9
Atheros HAL provided by OpenWrt, DD-WRT and MakSat Technologies
wifi1: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi1: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi1: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi1: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi1: H/W encryption support: WEP AES AES_CCM TKIP
ath_pci: wifi1: Atheros 5212: mem=0xe00c0000, irq=11
failed to automatically load module: wlan_scan_ap; errno: -2
unable to load wlan_scan_ap
eth1: link up, 100Mbps, full-duplex, lpa 0x45E1
------------[ cut here ]------------
WARNING: at kernel/softirq.c:136 local_bh_enable+0x2f/0x69()
Modules linked in: ath_pci ath_rate_minstrel ath_hal(P) wlan_scan_sta wlan
Pid: 0, comm: swapper Tainted: P          2.6.27.7 #1
 [<c0110ff0>] warn_on_slowpath+0x40/0x63
 [<c88b21a8>] ath_hardstart+0x828/0x90a [ath_pci]
 [<c88aa567>] ath_tx_start+0x9b6/0xe9a [ath_pci]
 [<c01fd463>] dev_hard_start_xmit+0x16a/0x1c3
 [<c0207dea>] __qdisc_run+0x7f/0x143
 [<c011490e>] local_bh_enable+0x2f/0x69
 [<c01ff54e>] dev_queue_xmit+0x368/0x39a
 [<c888b1a6>] ieee80211_parent_queue_xmit+0x5e/0x67 [wlan]
 [<c888c125>] ieee80211_hardstart+0x2ce/0x2fc [wlan]
 [<c88846af>] ieee80211_deliver_data+0x152/0x28d [wlan]
 [<c888575d>] ieee80211_input+0xc83/0xee4 [wlan]
 [<c88a8e84>] ath_rxbuf_init+0x142/0x168 [ath_pci]
 [<c88b08db>] ath_rx_poll+0x3b0/0x617 [ath_pci]
 [<c01febea>] net_rx_action+0x3d/0xf9
 [<c01144e0>] __do_softirq+0x35/0x75
 [<c0114542>] do_softirq+0x22/0x26
 [<c011479e>] irq_exit+0x25/0x55
 [<c010449c>] do_IRQ+0x4d/0x5d
 [<c0103067>] common_interrupt+0x23/0x28
 [<c01065bd>] default_idle+0x25/0x38
 [<c0101871>] cpu_idle+0x44/0x56
 =======================
---[ end trace 62e97172fa5987f4 ]---
cat /proc/interrupts
           CPU0
  0:   16698291    XT-PIC-XT        timer
  2:          0    XT-PIC-XT        cascade
  4:        582    XT-PIC-XT        serial
  8:          0    XT-PIC-XT        rtc
  9:    4588026    XT-PIC-XT        wifi0
 10:    2214645    XT-PIC-XT        eth0
 11:   12115554    XT-PIC-XT        wifi1
 12:    6956367    XT-PIC-XT        eth1
 14:      11786    XT-PIC-XT        ide0
 15:          0    XT-PIC-XT        ide1
NMI:          0   Non-maskable interrupts
TRM:          0   Thermal event interrupts
ERR:          0

Attachments (0)

Change History (2)

comment:1 Changed 9 years ago by florian

  • Resolution set to fixed
  • Status changed from new to closed

x86 has been updated to 2.6.28, this was probably fixed as well.

comment:2 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.